﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using SL4_RIA_Sample.Web;

namespace SL4_RIA_Sample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void orderDomainDataSource_LoadedData(object sender, System.Windows.Controls.LoadedDataEventArgs e)
        {

            if (e.HasError)
            {
                System.Windows.MessageBox.Show(e.Error.ToString(), "Load Error", System.Windows.MessageBoxButton.OK);
                e.MarkErrorAsHandled();
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Button btn = (Button)sender;
            Order order;

            switch (btn.Content.ToString())
            { 
                case "Add":
                    order = new Order();
                    orderDomainDataSource.DataView.Add(order);
                    break;
                case "Update":
                    orderDomainDataSource.DomainContext.SubmitChanges();
                    //orderDomainDataSource.DomainContext.RejectChanges();
                    break;
                case "Remove":
                    if (orderDomainDataSource.DataView.CurrentItem != null)
                    { 
                        order = orderDomainDataSource.DataView.CurrentItem as Order;
                        orderDomainDataSource.DataView.Remove(order);
                    }
                    break;
            }
        }

        private void orderDomainDataSource_LoadingData(object sender, LoadingDataEventArgs e)
        {
            e.LoadBehavior = System.ServiceModel.DomainServices.Client.LoadBehavior.RefreshCurrent;
        }
    }
}
